/ api / name / gb.returnnewstring
GB.ReturnNewString
Syntax

    void GB.ReturnNewString ( const char *src , long len )

Returns a String value to the caller of the method or property.

- str is the string to be returned.
- len is the length of the string.

The string returned is a copy of the string src allocated by the interpreter.

You must use this function if you know that the string you want to return is not managed by the interpreter, but by your component or a library it depends on.

| This function does not abort the method or property. You must explicitely return from it by using the `return` instruction.

### See also

Returning Strings